Dear Engs.
As illustrations show the WCS axis and dimensions scale not proper the screen, how to change it, tks
Dear Engs.
As illustrations show the WCS axis and dimensions scale not proper the screen, how to change it, tks
What Samadhan has written will resize the PMI.
To change the WCS, use the calibrate in the Visualisation Preferences.
Image attached which explains what I mean.
Hello Samadhan!
These are the files.
Thank you very much!
Regards,
Thomas
Dear Siemens official Community
I am too suffering from this terrible c0000005 , everytime my machine goes on lock screen, and I have space pilot connencted as well. Never was i presented an accurate error description, only cryptic code.
This Thread appears under different names, now what I find odd: under none of the threads a solution to the problem can be found.
If you find, that there are that many customers affected by this mysterious behavior, please post a solution to the problem. We need a professional software with professional maintainance and customer care,
Thank you
We users of the program feel your pain:
Thats where there should be lable or a certification for software written by the 10 UX commandments:
Users often choose system functions by mistake and will need a clearly marked "emergency exit" to leave the unwanted state without having to go through an extended dialogue.
Our work-life balance would actually improve..
Hi Thomas,
I checked with below code, it's working fine. It also corrects the dimension after modifying geometry.
Imports System Imports NXOpen Module NXJournal Sub Main (ByVal args() As String) Dim theSession As Session = Session.GetSession() Dim workPart As Part workPart = theSession.Parts.Work Dim partDimensions() As Annotations.Dimension partDimensions = workPart.Dimensions.ToArray Dim lw As ListingWindow = theSession.ListingWindow lw.open() For Each partDimension As Annotations.Dimension In partDimensions Dim test as string test = partDimension.ComputedSize Dim test1 as string test1 = test.Substring(test.IndexOf("."c) + 1) Dim test2 as double test2 = "." & test1 lw.writeline("test1 " & test2) if len(test1) > 8 then if Not test1.ToString.Contains(".") And Not test1.ToString.Contains(",") And test2 < 1 then '''' when dim values are 10.000000000000001 Dim objects1(0) As NXOpen.DisplayableObject objects1(0) = partDimension Dim editSettingsBuilder1 As NXOpen.Annotations.EditSettingsBuilder = Nothing editSettingsBuilder1 = workPart.SettingsManager.CreateAnnotationEditSettingsBuilder(objects1) editSettingsBuilder1.AnnotationStyle.DimensionStyle.AngularDimensionValuePrecision = 1 editSettingsBuilder1.AnnotationStyle.DimensionStyle.DimensionValuePrecision = 1 Dim nXObject1 As NXOpen.NXObject = Nothing nXObject1 = editSettingsBuilder1.Commit() end if end if if Not test.ToString.Contains(".") And Not test.ToString.Contains(",") then '''' when dim values are 10, 50, 65 Dim objects1(0) As NXOpen.DisplayableObject objects1(0) = partDimension Dim editSettingsBuilder1 As NXOpen.Annotations.EditSettingsBuilder = Nothing editSettingsBuilder1 = workPart.SettingsManager.CreateAnnotationEditSettingsBuilder(objects1) editSettingsBuilder1.AnnotationStyle.DimensionStyle.AngularDimensionValuePrecision = 1 editSettingsBuilder1.AnnotationStyle.DimensionStyle.DimensionValuePrecision = 1 Dim nXObject1 As NXOpen.NXObject = Nothing nXObject1 = editSettingsBuilder1.Commit() else if test2 > 0.01 And test2 < 0.99 then '''' when dim values are 10, 50, 65 Dim objects1(0) As NXOpen.DisplayableObject objects1(0) = partDimension Dim editSettingsBuilder1 As NXOpen.Annotations.EditSettingsBuilder = Nothing editSettingsBuilder1 = workPart.SettingsManager.CreateAnnotationEditSettingsBuilder(objects1) editSettingsBuilder1.AnnotationStyle.DimensionStyle.AngularDimensionValuePrecision = 2 editSettingsBuilder1.AnnotationStyle.DimensionStyle.DimensionValuePrecision = 2 Dim nXObject1 As NXOpen.NXObject = Nothing nXObject1 = editSettingsBuilder1.Commit() end if Next lw.close() End Sub End Module
And what if a file is replaced that has (unsaved) work done on it? The user can't save their work!
Is NX supposed to check every second or 2 that the file on disk hasn't changed? If so, how? (OS properties such as last changed date? or use open the assembly & read the history? or ?)
Is it supposed to do this for all 1000 parts in an assembly?
Do you want to do work in NX, or constantly wait for it to check all the components it has open?
To me, you should NOT be replacing disk files *while they are open in NX sessions* - this is BAD file management practice.
Why do you feel the need to do this?
Use the command finder and search for "bounding body".
Server is running.
Thank you
Mike
Did you try re-installing NX?
1) Have you reviewed the certified graphics cards - are you using certified hardware?
2) Do you have the certified driver for the graphics card (note: if you need to change, you need to completely un-install the current driver, then install the new. I believe GTAC Solutions database has something on on how to do that)
3) Is your Spaceball driver up to date?
4) If you have both "built in" Intel graphics AND a graphics card (I think this is typical for newer laptops?), make sure NX is locked to the add-in (nVidia or whatever) graphics card - it should never use the "built in" Intel graphics driver. (although looking at the certified hardware list, it looks like Intel also has "higher end" graphics "cards" that NX can use)
5) What *specific* version are you using (major version, MR, and MP, or, for NX1847+, what 4 digit version). If you are using a "base" release (e.g. NX12 with no MR or MP, or NX1847) see if upgrading to the latest MR/MP (or latest monthly release) helps.
6) If NX "works" on one system, but crashes alot on another - what are the differences?
- compare the files in the NX install tree - it could be the install got hosed on one system
- check for Virus scanner differences
7) Do you clean out your "temp" folders periodically (C:\temp; C:\Windows\Temp; C:\users\...\temp, etc.)? If there are thousands of files in these folders, I have seen NX behave "wierdly"
8) It could be the registry /user.mtx / dilogmemory.mtx have gotten corrupted. (note you might want to save copies of the following if it turns out not to be the issue)
- delete the NX "user area" registry key: HKCU\Software\Unigraphics Solutions\NX\(your version here)
(although I don't see NX1847 or NX1851 - are they no longer using the registry, or is the key elsewhere?)
- Delete the user level customization folder: typically C:\Users\(your username)\AppData\Local\Siemens\(your version)
9) Could be other things...
Where's "CTRL-SHIFT-L" when you need it?
(the ancient way of aborting UG tasks)
Out of curiosity:
What drafting standard do you use (ASME/ISO/)?
Does it allow your desired behavior?
Hi
A "...stopped working" message like that is coming from Windows, not NX, and is typically some conflict at the OS level such as Drivers, etc... I've seen numerous postings on this when running NX, and solution seems nearly always a driver issue.
Do you have a Space Mouse?
GTAC has posted several docs on an issue there that can lead to this message, most recently 2 weeks back with FAQ-002-7004597, walking you through how to test and update to the latest driver:
https://solutions.industrysoftware.automation.siemens.com/view.php?si=002-7004597
Hi Guys,
I am a newbee to NX and I am having NX12. Please help me fix the following issue:
1) I have 8 cylindrical body, each having complex structure inside it. To complete the model I want it to be a single part. In the following picture.
a) I created one cylindrical part(1) which has interanl structures in NX.
b) Then I created (2) the base plate for the cylinders a seperate part file.
c) I opened the NX assembly and imported the base plate and 8 cylinders.
When I tried to combine them using "unite" option, it did not allow me to select the base plate as the target body.
So I created a new ring(3) within the assembly, after that it allowed me to select that ring(3) as the target body and I selected all cylinders and base plate as tool and I combined them using "unite" option.
But the problem came is, once after I united them, all my cylinder became surface. I even tried without cylinder, this time the baseplate(2) became the surface.
Please help me to fix this issue. I am running out of time to complete my college project. Someone please help me.
Hello All,
I am attempting to creat threading using the sweep along a guide function in NX10. A third of the way through the thread cut, the profile begins to shift, as shown in the picture attached. If anyone has any suggestions as to how to remedy this issue, it would be greatly appreciated.
Thank you all in advance!